Bug 213319 - mail/pecl-mailparse: Update to 3.0.2 and add mail/pecl-mailparse2
Summary: mail/pecl-mailparse: Update to 3.0.2 and add mail/pecl-mailparse2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-08 22:36 UTC by Danilo G. Baio
Modified: 2017-03-19 00:34 UTC (History)
0 users

See Also:


Attachments
pecl-mailparse3.shar (1.83 KB, text/plain)
2016-10-08 22:36 UTC, Danilo G. Baio
no flags Details
pecl-mailparse3-v02.shar (1.83 KB, text/plain)
2016-12-03 13:13 UTC, Danilo G. Baio
no flags Details
pecl-mailparse3-v03.shar (1.83 KB, text/plain)
2016-12-20 22:47 UTC, Danilo G. Baio
no flags Details
pecl-mailparse-3.0.2.patch (2.83 KB, patch)
2017-03-18 19:18 UTC, Danilo G. Baio
dbaio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2016-10-08 22:36:12 UTC
Created attachment 175541 [details]
pecl-mailparse3.shar

Mailparse is an extension for parsing and working with email messages.
It can deal with rfc822 and rfc2045 (MIME) compliant messages.
Mailparse is stream based, which means that it does not keep in-memory
copies of the files it processes - so it is very resource efficient
when dealing with large messages.

WWW: http://pecl.php.net/package/mailparse

This version is specific to php70 compared to mail/pecl-mailparse.

portlint: OK (looks fine.)
testport: 
	poudriere: i386,  9.3   (OK)
	poudriere: amd64, 9.3   (OK)
	poudriere: i386,  10.3  (OK)
	poudriere: amd64, 10.3  (OK)
	poudriere: i386,  12    (OK)
	poudriere: amd64, 12    (OK)
Comment 1 Danilo G. Baio freebsd_committer 2016-12-03 13:13:46 UTC
Created attachment 177633 [details]
pecl-mailparse3-v02.shar


Removing PHP 55 reference, it was removed on ports r424382

Another round of poudriere build tests:

portlint: OK (looks fine.)

testport: 
	poudriere: i386,  9.3   (OK)
	poudriere: amd64, 9.3   (OK)
	poudriere: i386,  10.3  (OK)
	poudriere: amd64, 10.3  (OK)
	poudriere: i386,  11    (OK)
	poudriere: amd64, 11    (OK)	
	poudriere: i386,  12    (OK)
	poudriere: amd64, 12    (OK)
Comment 2 Danilo G. Baio freebsd_committer 2016-12-20 22:47:54 UTC
Created attachment 178161 [details]
pecl-mailparse3-v03.shar

Updating .shar from 3.0.1 to 3.0.2

Another round of poudriere build tests:

portlint: OK (looks fine.)

testport: 
	poudriere: i386,  9.3   (OK)
	poudriere: amd64, 9.3   (OK)
	poudriere: i386,  10.3  (OK)
	poudriere: amd64, 10.3  (OK)
	poudriere: i386,  11    (OK)
	poudriere: amd64, 11    (OK)	
	poudriere: i386,  12    (OK)
	poudriere: amd64, 12    (OK)
Comment 3 Po-Chuan Hsieh freebsd_committer 2017-03-18 16:47:15 UTC
Please consider:
- Add mail/pecl-mailparse2 for 2.x (via svn cp)
- Update mail/pecl-mailparse to 3.0.2
Comment 4 Danilo G. Baio freebsd_committer 2017-03-18 19:18:14 UTC
Created attachment 180933 [details]
pecl-mailparse-3.0.2.patch


- Update to 3.0.2
- Set new license PHP301
- Copy mail/pecl-mailparse to mail/pecl-mailparse2

Changes: https://pecl.php.net/package-changelog.php?package=mailparse

Before applying the patch, execute:
$ svn copy mail/pecl-mailparse mail/pecl-mailparse2

[Q/A]

mail/pecl-mailparse:

portlint mail/pecl-mailparse:  looks fine.
testport: DEFAULT_VERSIONS+= php=7.0
   poudriere: i386|amd64 - 10.3 p17     (OK)
   poudriere: i386|amd64 - 11   p8      (OK)
   poudriere: i386|amd64 - 12   r315219 (OK)

mail/pecl-mailparse2:

portlint: WARN: [...]/distinfo: [1]: TIMESTAMP is over 30 days old.
testport:
   poudriere: i386|amd64 - 10.3 p17     (OK)
   poudriere: i386|amd64 - 11   p8      (OK)
   poudriere: i386|amd64 - 12   r315219 (OK)
Comment 5 commit-hook freebsd_committer 2017-03-19 00:33:35 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Mar 19 00:33:24 UTC 2017
New revision: 436457
URL: https://svnweb.freebsd.org/changeset/ports/436457

Log:
  Update to 3.0.2

  - Add pecl-mailparse2 2.1.6 (copied from pecl-mailparse)
  - Add UPDATING entry

  Changes:	https://pecl.php.net/package-changelog.php?package=mailparse
  PR:		213319
  Submitted by:	Danilo G. Baio (dbaio) <dbaio@bsd.com.br> (maintainer)

Changes:
  head/UPDATING
  head/mail/Makefile
  head/mail/pecl-mailparse/Makefile
  head/mail/pecl-mailparse/distinfo
  head/mail/pecl-mailparse2/
  head/mail/pecl-mailparse2/Makefile
Comment 6 Po-Chuan Hsieh freebsd_committer 2017-03-19 00:34:30 UTC
Committed. Thanks!